GNU logs - #49968, boring messages


Message sent to bug-guix@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#49968: Fwd: issue website creates invalid comment expectations
Resent-From: =?UTF-8?Q?Fran=C3=A7ois-Ren=C3=A9?= Rideau <fare@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-guix@HIDDEN
Resent-Date: Mon, 09 Aug 2021 18:57:01 +0000
Resent-Message-ID: <handler.49968.B.162853539515113 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: report 49968
X-GNU-PR-Package: guix
X-GNU-PR-Keywords: 
To: 49968 <at> debbugs.gnu.org
X-Debbugs-Original-To: bug-guix@HIDDEN
Received: via spool by submit <at> debbugs.gnu.org id=B.162853539515113
          (code B ref -1); Mon, 09 Aug 2021 18:57:01 +0000
Received: (at submit) by debbugs.gnu.org; 9 Aug 2021 18:56:35 +0000
Received: from localhost ([127.0.0.1]:57779 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mDARs-0003vc-0R
	for submit <at> debbugs.gnu.org; Mon, 09 Aug 2021 14:56:35 -0400
Received: from lists.gnu.org ([209.51.188.17]:46120)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <fare@HIDDEN>) id 1mDA0M-0003Gc-6I
 for submit <at> debbugs.gnu.org; Mon, 09 Aug 2021 14:28:07 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:51044)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <fare@HIDDEN>) id 1mDA0L-000588-Uh
 for bug-guix@HIDDEN; Mon, 09 Aug 2021 14:28:05 -0400
Received: from mail-ed1-x529.google.com ([2a00:1450:4864:20::529]:37614)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <fare@HIDDEN>) id 1mDA0I-0006eb-KX
 for bug-guix@HIDDEN; Mon, 09 Aug 2021 14:28:05 -0400
Received: by mail-ed1-x529.google.com with SMTP id g21so26072242edb.4
 for <bug-guix@HIDDEN>; Mon, 09 Aug 2021 11:28:02 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=mukn-io.20150623.gappssmtp.com; s=20150623;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :content-transfer-encoding;
 bh=i9K30nAeXtN3yDBytaoV18UoZlmCUqcifYoBpha8Uis=;
 b=y11CK5nzwXGFrtcC8haiG8BKneSPeQYJzK9xrk3inE0agwcyp5zvEkQnmmJy+NzcqV
 NstZpKAftPWGYpKcS2nTg4OmjTzWtHw+x0wPT9dR6CLdMMPAI2QRJVdOB+K6aLmzf69d
 klWEpySVH84O2yAQac20d2QbcD80sI5vrAygGSdEGE68fH0kxwgx+HVeygTpkcWJ1hs6
 uDfM0yeuJrRLKs2Xfx4wnK8ww/Cyr9QNv7z16xdSOeGvX4CM47uXpOgT0vmM+qLx4bqT
 A2j34WeG16yS8tlOC7DkCZ2iGVyncDE1XAaa9GC3G+kf7RQrCH4WwNCdzwHJY8Exnbfn
 txCw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:content-transfer-encoding;
 bh=i9K30nAeXtN3yDBytaoV18UoZlmCUqcifYoBpha8Uis=;
 b=o2TwrCaHnipOejSIXuc8i4fgPy3BeTxDEWQ71JQnH6Ib5o2zB7vleS0knxiKQ0n7Gb
 a+oscTCASJ+VtN7nCCh2c3+gaJwG/q/yQyyfEvV2jariP2ulgSmHcU3EIH+Fcs5MHlxQ
 AlBfS0ZG2CYv+2lzlCsqCcN9OQFzT88fJao2VenCUW0vu4ceoV7YBlJW0bGYOYSNdAE9
 pQnUfwtLsTgXzvHjuO2DPLD7O9DNND49ZXfR+UMRuWDt2CWjNL0igwQXTCeNDvw7Wenl
 9tzZifMPBjpBkCFZQxuS8z5oOjApFdinFcOze76tG0VttLioltjjMk9xKc3yCsd2EEzn
 J+Zg==
X-Gm-Message-State: AOAM5329+5ZRDKz5WP4Sd6iQz6BgeAgMU9e7lyaqcnKJzyhE7QjrFmdG
 wLQRfyVaxQxt2J6zbQ9KwPR1jfeh/Szx6rMhH8c9bUx/AOk=
X-Google-Smtp-Source: ABdhPJwPDlw78ANhKhldD35aOcBijtx+VZlmNdUt59n8aOSkshGD4ZMJIUjHqNWQt1btlHT5UblqpP1VaG/lhcXaXHQ=
X-Received: by 2002:a05:6402:1395:: with SMTP id
 b21mr30964323edv.119.1628533681051; 
 Mon, 09 Aug 2021 11:28:01 -0700 (PDT)
MIME-Version: 1.0
References: <CAOhKva1sUrv7iqUcEpuS8knUAPDrS5tGhqn5h0u8gn-R1CDUTw@HIDDEN>
In-Reply-To: <CAOhKva1sUrv7iqUcEpuS8knUAPDrS5tGhqn5h0u8gn-R1CDUTw@HIDDEN>
From: =?UTF-8?Q?Fran=C3=A7ois-Ren=C3=A9?= Rideau <fare@HIDDEN>
Date: Mon, 9 Aug 2021 14:27:50 -0400
Message-ID: <CAOhKva2gNhs+fZy=ngb06bn51dTH8JvL4DLe-Ks5A+MPd71cpw@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable
Received-SPF: none client-ip=2a00:1450:4864:20::529; envelope-from=fare@HIDDEN;
 helo=mail-ed1-x529.google.com
X-Spam_score_int: -18
X-Spam_score: -1.9
X-Spam_bar: -
X-Spam_report: (-1.9 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001,
 SPF_NONE=0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -2.3 (--)
X-Mailman-Approved-At: Mon, 09 Aug 2021 14:56:30 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

When viewing an issue on the website https://issues.guix.gnu.org/ the
web interface allows you to post a comment, what more without
authentication. Unfortunately, I am told by ropstat and podiki[m] on
irc.libera.chat #guix that web comments don't actually work in their
experience. If this option cannot be fixed in a timely fashion, it
should not be offered at all. Otherwise, it only creates deep
frustration in users, and maybe even lost comments depending on what
client they use.

The same web interface also, correctly, invites users to instead send
mail to <bug-number>@debbugs.gnu.org =E2=80=94 however, the same helpful IR=
C
users tell me that the mail is manually reviewed by a human moderator
and may take up to a day to show up. This as such is perfectly fine,
but does deserve mention as part of the same message on the web
interface, otherwise it will once again create wrong expectations from
users, frustration, messages sent multiple times, and more work for
both users and moderators.

PS: also, several of my attempts to post comments via the web form
failed with an unhelpful error message when posting "There was an
error submitting your comment!". At some point I conjectured that it
was due to my using an accent in my name "Far=C3=A9", but one of my
attempts with that name did end up with "Your comment has been
submitted!". This is moot considering the above issue, but may become
important if the resolution is to fix web comments.




Message sent:


Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-Mailer: MIME-tools 5.505 (Entity 5.505)
Content-Type: text/plain; charset=utf-8
X-Loop: help-debbugs@HIDDEN
From: help-debbugs@HIDDEN (GNU bug Tracking System)
To: =?UTF-8?Q?Fran=C3=A7ois-Ren=C3=A9?= Rideau <fare@HIDDEN>
Subject: bug#49968: Acknowledgement (Fwd: issue website creates invalid
 comment expectations)
Message-ID: <handler.49968.B.162853539515113.ack <at> debbugs.gnu.org>
References: <CAOhKva2gNhs+fZy=ngb06bn51dTH8JvL4DLe-Ks5A+MPd71cpw@HIDDEN>
X-Gnu-PR-Message: ack 49968
X-Gnu-PR-Package: guix
Reply-To: 49968 <at> debbugs.gnu.org
Date: Mon, 09 Aug 2021 18:57:02 +0000

Thank you for filing a new bug report with debbugs.gnu.org.

This is an automatically generated reply to let you know your message
has been received.

Your message is being forwarded to the package maintainers and other
interested parties for their attention; they will reply in due course.

Your message has been sent to the package maintainer(s):
 bug-guix@HIDDEN

If you wish to submit further information on this problem, please
send it to 49968 <at> debbugs.gnu.org.

Please do not send mail to help-debbugs@HIDDEN unless you wish
to report a problem with the Bug-tracking system.

--=20
49968: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D49968
GNU Bug Tracking System
Contact help-debbugs@HIDDEN with problems


Message sent to bug-guix@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#49968: Fwd: issue website creates invalid comment expectations
References: <CAOhKva2gNhs+fZy=ngb06bn51dTH8JvL4DLe-Ks5A+MPd71cpw@HIDDEN>
In-Reply-To: <CAOhKva2gNhs+fZy=ngb06bn51dTH8JvL4DLe-Ks5A+MPd71cpw@HIDDEN>
Resent-From: John Kehayias <john.kehayias@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-guix@HIDDEN
Resent-Date: Tue, 10 Aug 2021 15:23:02 +0000
Resent-Message-ID: <handler.49968.B49968.162860893430763 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 49968
X-GNU-PR-Package: guix
X-GNU-PR-Keywords: 
To: "49968 <at> debbugs.gnu.org" <49968 <at> debbugs.gnu.org>
Reply-To: John Kehayias <john.kehayias@HIDDEN>
Received: via spool by 49968-submit <at> debbugs.gnu.org id=B49968.162860893430763
          (code B ref 49968); Tue, 10 Aug 2021 15:23:02 +0000
Received: (at 49968) by debbugs.gnu.org; 10 Aug 2021 15:22:14 +0000
Received: from localhost ([127.0.0.1]:60456 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mDTa2-000807-AI
	for submit <at> debbugs.gnu.org; Tue, 10 Aug 2021 11:22:14 -0400
Received: from mail2.protonmail.ch ([185.70.40.22]:23972)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <john.kehayias@HIDDEN>) id 1mDTZx-0007zp-6J
 for 49968 <at> debbugs.gnu.org; Tue, 10 Aug 2021 11:22:13 -0400
Date: Tue, 10 Aug 2021 15:22:00 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=protonmail.com;
 s=protonmail; t=1628608922;
 bh=dy6tXT9P6NZR0MgWcpumW1+4ocWunFKHAF7jXQiqjiU=;
 h=Date:To:From:Reply-To:Subject:From;
 b=LCf7Po3Vqwj366ZWW5h+UK9hKcc0o/eC7JMrzlS6RhPWOD2uJdnAjwYhgZORTWHSf
 52ukE0825SqBgfNMSeBNzoxnoI68+RA/HFX98cVpb3Gbt6GqvT5TWHVIUciFZuttvY
 6i+vmBz1cY6xJqfKD/CpPdiMMUK4NdGa5uQEmb5U=
From: John Kehayias <john.kehayias@HIDDEN>
Message-ID: <hzts8z2GC_D5YeA13ZndhmoZGhhimirkS2kJwoWfT5e7ULYgUsE5hErZoldFbWXUeqbGZ76XSWDST-_7-08Z9kCdsWO6wyKn482PXCR9AtY=@protonmail.com>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Status: No, score=-1.2 required=10.0 tests=ALL_TRUSTED,DKIM_SIGNED,
 DKIM_VALID,DKIM_VALID_AU,DKIM_VALID_EF,FREEMAIL_FROM shortcircuit=no
 autolearn=disabled version=3.4.4
X-Spam-Checker-Version: SpamAssassin 3.4.4 (2020-01-24) on
 mailout.protonmail.ch
X-Spam-Score: -0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

(I think the bug title should be "comments sent via issues.guix.gnu.org dis=
appear" as they seem to get swallowed by the server)

I sent a comment just a few minutes ago via the webform, that got the messa=
ge that was successful. I'll check back to see if it appears later, but hav=
e not had it work in the past.

Hope this helps if anyone is checking some logs for what is happening with =
the web comment suggestion.




Message sent to bug-guix@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#49968: Fwd: issue website creates invalid comment expectations
Resent-From: Maxime Devos <maximedevos@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-guix@HIDDEN
Resent-Date: Tue, 10 Aug 2021 15:31:02 +0000
Resent-Message-ID: <handler.49968.B49968.162860945831714 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 49968
X-GNU-PR-Package: guix
X-GNU-PR-Keywords: 
To: =?UTF-8?Q?Fran=C3=A7ois-Ren=C3=A9?= Rideau <fare@HIDDEN>,  49968 <at> debbugs.gnu.org
Received: via spool by 49968-submit <at> debbugs.gnu.org id=B49968.162860945831714
          (code B ref 49968); Tue, 10 Aug 2021 15:31:02 +0000
Received: (at 49968) by debbugs.gnu.org; 10 Aug 2021 15:30:58 +0000
Received: from localhost ([127.0.0.1]:60462 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mDTiQ-0008FL-4h
	for submit <at> debbugs.gnu.org; Tue, 10 Aug 2021 11:30:58 -0400
Received: from albert.telenet-ops.be ([195.130.137.90]:57192)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1mDTiJ-0008F7-R2
 for 49968 <at> debbugs.gnu.org; Tue, 10 Aug 2021 11:30:52 -0400
Received: from ptr-bvsjgyjmffd7q9timvx.18120a2.ip6.access.telenet.be
 ([IPv6:2a02:1811:8c09:9d00:aaf1:9810:a0b8:a55d])
 by albert.telenet-ops.be with bizsmtp
 id frWl2500j0mfAB406rWmgX; Tue, 10 Aug 2021 17:30:46 +0200
Message-ID: <5a811d2835b3335afde69029ddb0eec30f41e7f4.camel@HIDDEN>
From: Maxime Devos <maximedevos@HIDDEN>
Date: Tue, 10 Aug 2021 17:30:40 +0200
In-Reply-To: <CAOhKva2gNhs+fZy=ngb06bn51dTH8JvL4DLe-Ks5A+MPd71cpw@HIDDEN>
References: <CAOhKva1sUrv7iqUcEpuS8knUAPDrS5tGhqn5h0u8gn-R1CDUTw@HIDDEN>
 <CAOhKva2gNhs+fZy=ngb06bn51dTH8JvL4DLe-Ks5A+MPd71cpw@HIDDEN>
Content-Type: multipart/signed; micalg="pgp-sha512";
 protocol="application/pgp-signature"; boundary="=-xhmG9++NEa+pszg+CwqL"
User-Agent: Evolution 3.34.2 
MIME-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r21;
 t=1628609446; bh=xXPShqf5G4cqK8OiAzb49h992i0lxrV8CBG3E6hxVcc=;
 h=Subject:From:To:Date:In-Reply-To:References;
 b=f/voUT8+ivVJjyZScN5L40fqbshG0J5AaLv3BUcr5/WLAb4KdCIr0OzF1U+VUzQEg
 vsDoJlRnMa3Axz99x2bOkXU0kKIo6VBDUPQ3pKX1roqh3TLH77WKNTi652pj4cqov5
 IXzAqbVzqi69ogp45MOr/kX5JM+/9ka8LvvRRCrXwt7BoMcooK5SxICD76OWwJ8WQ9
 rP0AVdiVbq60xg3Dy3SpFAl7rHdOtZZZ8vYtIGhDEY8Sebj1bEx3uzSkhXEd8J8wlW
 a6GGx9p7K8ZmhUlgB7Az1yTHhrL2YeBpQIOLIBRu6pgchM5RT+vVUlRjFerrtz3+vG
 0nWTm6dCEOB1g==
X-Spam-Score: -0.7 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)


--=-xhmG9++NEa+pszg+CwqL
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

> [... mumi =E2=80=98send comment=E2=80=99 interface doesn't work ...]

Some time ago, I received a copy of the logs and Ludovic
and I found out what causes comments to be swallowed:
<https://issues.guix.gnu.org/49295>.  Ludovic has a suggestion
on how to fix it.

The source code is at
<https://git.elephly.net/gitweb.cgi?p=3Dsoftware/mumi.git>,
if anyone is interested in fixing it, or just disabling
the comment interface.

Greetings,
Maxime

--=-xhmG9++NEa+pszg+CwqL
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: This is a digitally signed message part
Content-Transfer-Encoding: 7bit

-----BEGIN PGP SIGNATURE-----

iI0EABYKADUWIQTB8z7iDFKP233XAR9J4+4iGRcl7gUCYRKboRccbWF4aW1lZGV2
b3NAdGVsZW5ldC5iZQAKCRBJ4+4iGRcl7ozUAQCxPdtRs53XP3BXgEwZQozVUECy
MikiBPV9bHVh4nknbwD/ZwqEVpC2/ziSV5YExsbi3/oDyimveR9lD8NPJ42s7AE=
=hF/u
-----END PGP SIGNATURE-----

--=-xhmG9++NEa+pszg+CwqL--





Message sent to bug-guix@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#49968: Fwd: issue website creates invalid comment expectations
References: <CAOhKva2gNhs+fZy=ngb06bn51dTH8JvL4DLe-Ks5A+MPd71cpw@HIDDEN>
In-Reply-To: <CAOhKva2gNhs+fZy=ngb06bn51dTH8JvL4DLe-Ks5A+MPd71cpw@HIDDEN>
Resent-From: John Kehayias <john.kehayias@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-guix@HIDDEN
Resent-Date: Tue, 10 Aug 2021 17:47:01 +0000
Resent-Message-ID: <handler.49968.B49968.162861759614347 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 49968
X-GNU-PR-Package: guix
X-GNU-PR-Keywords: 
To: "49968 <at> debbugs.gnu.org" <49968 <at> debbugs.gnu.org>
Reply-To: John Kehayias <john.kehayias@HIDDEN>
Received: via spool by 49968-submit <at> debbugs.gnu.org id=B49968.162861759614347
          (code B ref 49968); Tue, 10 Aug 2021 17:47:01 +0000
Received: (at 49968) by debbugs.gnu.org; 10 Aug 2021 17:46:36 +0000
Received: from localhost ([127.0.0.1]:60783 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mDVpg-0003jE-Df
	for submit <at> debbugs.gnu.org; Tue, 10 Aug 2021 13:46:36 -0400
Received: from mail-4317.protonmail.ch ([185.70.43.17]:22434)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <john.kehayias@HIDDEN>) id 1mDVpa-0003is-74
 for 49968 <at> debbugs.gnu.org; Tue, 10 Aug 2021 13:46:30 -0400
Date: Tue, 10 Aug 2021 17:46:17 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=protonmail.com;
 s=protonmail; t=1628617579;
 bh=i4AE38DWzKKrepYcnDW6i6GgKNUzCD04U3DCJhbcsOQ=;
 h=Date:To:From:Reply-To:Subject:From;
 b=FiumL6LG3QgwSSqlhsKuLBzjGrxW+SFtX8VxL8iCrizK9Q8jklGkfUbJOSmNT9uvC
 DybS/pbb3hP1xME4zZBQLt9FudnCbfuICgYxwkneMxPEZ79Nd6iazixCY32//X+Nc1
 plVKxzh3yalHwQp0346vKuGHEF5jAr6yydsUTkOA=
From: John Kehayias <john.kehayias@HIDDEN>
Message-ID: <p2AOQOo0Zs-NpZBBMmpELaWOBPmNHErH8WwXejMXAQmQ-hbgq1B8Edw1Xv715Ba_jJOdvnuvbZVxEYtTohjXEUY64GcSZ1O0Aw7a-5GUpEE=@protonmail.com>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Status: No, score=-1.2 required=10.0 tests=ALL_TRUSTED,DKIM_SIGNED,
 DKIM_VALID,DKIM_VALID_AU,DKIM_VALID_EF,FREEMAIL_FROM shortcircuit=no
 autolearn=disabled version=3.4.4
X-Spam-Checker-Version: SpamAssassin 3.4.4 (2020-01-24) on
 mailout.protonmail.ch
X-Spam-Score: -0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi Maxime,

I took a quick look, but I'm not seeing how the proposed fix works: there i=
s already that line for defining mu-debug in the only file that uses mu-mes=
sage-send...? (Perhaps this should be sent to that original issue, I can se=
nd it again there if that is helpful.)

If there is not a relatively quick fix, I would vote for disabling the comm=
ent submission until it can be fixed. Otherwise, we're losing comments with=
 no indication to the submitter.

John




Message sent to bug-guix@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#49968: Fwd: issue website creates invalid comment expectations
Resent-From: Maxime Devos <maximedevos@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-guix@HIDDEN
Resent-Date: Tue, 17 Aug 2021 22:08:02 +0000
Resent-Message-ID: <handler.49968.B49968.162923807123787 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 49968
X-GNU-PR-Package: guix
X-GNU-PR-Keywords: 
To: John Kehayias <john.kehayias@HIDDEN>, "49968 <at> debbugs.gnu.org" <49968 <at> debbugs.gnu.org>, 49295 <at> debbugs.gnu.org
Received: via spool by 49968-submit <at> debbugs.gnu.org id=B49968.162923807123787
          (code B ref 49968); Tue, 17 Aug 2021 22:08:02 +0000
Received: (at 49968) by debbugs.gnu.org; 17 Aug 2021 22:07:51 +0000
Received: from localhost ([127.0.0.1]:54364 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mG7FP-0006Ba-Ch
	for submit <at> debbugs.gnu.org; Tue, 17 Aug 2021 18:07:51 -0400
Received: from laurent.telenet-ops.be ([195.130.137.89]:38072)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1mG7FM-0006BM-Fk
 for 49968 <at> debbugs.gnu.org; Tue, 17 Aug 2021 18:07:49 -0400
Received: from ptr-bvsjgyjmffd7q9timvx.18120a2.ip6.access.telenet.be
 ([IPv6:2a02:1811:8c09:9d00:aaf1:9810:a0b8:a55d])
 by laurent.telenet-ops.be with bizsmtp
 id im7m2500C0mfAB401m7miE; Wed, 18 Aug 2021 00:07:47 +0200
Message-ID: <93b5944e604258145ff800329382806217a278d7.camel@HIDDEN>
From: Maxime Devos <maximedevos@HIDDEN>
Date: Wed, 18 Aug 2021 00:07:35 +0200
In-Reply-To: <p2AOQOo0Zs-NpZBBMmpELaWOBPmNHErH8WwXejMXAQmQ-hbgq1B8Edw1Xv715Ba_jJOdvnuvbZVxEYtTohjXEUY64GcSZ1O0Aw7a-5GUpEE=@protonmail.com>
References: <CAOhKva2gNhs+fZy=ngb06bn51dTH8JvL4DLe-Ks5A+MPd71cpw@HIDDEN>
 <p2AOQOo0Zs-NpZBBMmpELaWOBPmNHErH8WwXejMXAQmQ-hbgq1B8Edw1Xv715Ba_jJOdvnuvbZVxEYtTohjXEUY64GcSZ1O0Aw7a-5GUpEE=@protonmail.com>
Content-Type: multipart/signed; micalg="pgp-sha512";
 protocol="application/pgp-signature"; boundary="=-ZEYK3AFXno1BLpYuTEIG"
User-Agent: Evolution 3.34.2 
MIME-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r21;
 t=1629238067; bh=biSJUfZGakf20XcjVfwxKe7p2/zY27QpuNLsKIlh7a4=;
 h=Subject:From:To:Date:In-Reply-To:References;
 b=ApYxMc1dx0QQTDvFZa2csGlTHvwFkfMGJLYkOIEeojvw5UTA7JxFy3lh+g4igq4ND
 4hDNy/mxhkmnBjHficJ5c35sa8xlicdo/dkfLPm8/myf95pqRE6GjFZhUXHLOHTG93
 YSlEirsl14De7yHqFeshfgH+BoC7aq0BEqHIG46vibn6yODyh3sJv/uIBcidk06+GJ
 fGtwFHDoriQibLM2y2GwcC7HUMBvim4+Wq+QrNsDXUNBhoX29m4t5UCv7v/3jfhEjZ
 JQu1zITsr3W38ieuAx5dhLiIwj4eO63vWOyQJa1t/hCO0b9qwUm2UI8s+ire2/crCw
 NH+/5zF8ac06g==
X-Spam-Score: -0.7 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)


--=-ZEYK3AFXno1BLpYuTEIG
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

John Kehayias via Bug reports for GNU Guix schreef op di 10-08-2021 om 17:4=
6 [+0000]:
> Hi Maxime,
>=20
> I took a quick look, but I'm not seeing how the proposed fix works: there=
 is already
> that line for defining mu-debug in the only file that uses mu-message-sen=
d...?
> (Perhaps this should be sent to that original issue, I can send it again =
there if that
> is helpful.)

=E2=80=98the current module=E2=80=99 is whatever (current-module) evaluates=
 to.
It is not necessarily the module wherein 'mu-message-send' is used.
IIUC, every time a (define-module ([...])) form is encountered,
(current-module) is set to [...], or something like that (details
might be a little different).  It works for stand-alone scripts and
in the REPL I guess, but otherwise it's a very cumbersome interface.

This interface should be changed (in mailutils) IMO.

>=20
> If there is not a relatively quick fix, I would vote for disabling the co=
mment
> submission until it can be fixed. Otherwise, we're losing comments with n=
o indication
> to the submitter.

nckx has done that recently.  Pages on <https://issues.guix.gnu.org/NNN>
now end with =E2=80=98Commenting via the web interface is currently disable=
d.=E2=80=99.

Greetings,
Ma

--=-ZEYK3AFXno1BLpYuTEIG
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: This is a digitally signed message part
Content-Transfer-Encoding: 7bit

-----BEGIN PGP SIGNATURE-----

iI0EABYKADUWIQTB8z7iDFKP233XAR9J4+4iGRcl7gUCYRwzJxccbWF4aW1lZGV2
b3NAdGVsZW5ldC5iZQAKCRBJ4+4iGRcl7oNAAPwLpdr8KUfRd5KppISaepG80WGu
uYWUmcVA4E5ZG+VaDwD/UfRAvdbPkmLPmbUqwr2aJfWtulRnfDZ3u0/DVBk+fQQ=
=ql7V
-----END PGP SIGNATURE-----

--=-ZEYK3AFXno1BLpYuTEIG--





Message sent to bug-guix@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#49968: Fwd: issue website creates invalid comment expectations
Resent-From: Ludovic =?UTF-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-guix@HIDDEN
Resent-Date: Wed, 01 Sep 2021 14:04:02 +0000
Resent-Message-ID: <handler.49968.B49968.16305050007105 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 49968
X-GNU-PR-Package: guix
X-GNU-PR-Keywords: 
To: Maxime Devos <maximedevos@HIDDEN>
Cc: 49968 <at> debbugs.gnu.org, =?UTF-8?Q?Fran=C3=A7ois-Ren=C3=A9?= Rideau <fare@HIDDEN>
Received: via spool by 49968-submit <at> debbugs.gnu.org id=B49968.16305050007105
          (code B ref 49968); Wed, 01 Sep 2021 14:04:02 +0000
Received: (at 49968) by debbugs.gnu.org; 1 Sep 2021 14:03:20 +0000
Received: from localhost ([127.0.0.1]:38722 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mLQpk-0001qW-Jm
	for submit <at> debbugs.gnu.org; Wed, 01 Sep 2021 10:03:20 -0400
Received: from eggs.gnu.org ([209.51.188.92]:42600)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1mLQpj-0001qJ-3L
 for 49968 <at> debbugs.gnu.org; Wed, 01 Sep 2021 10:03:19 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:50440)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <ludo@HIDDEN>)
 id 1mLQpc-00072A-6j; Wed, 01 Sep 2021 10:03:12 -0400
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=48812 helo=ribbon)
 by fencepost.gnu.org with esmtpsa
 (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256) (Exim 4.90_1)
 (envelope-from <ludo@HIDDEN>)
 id 1mLQpb-000240-UG; Wed, 01 Sep 2021 10:03:12 -0400
From: Ludovic =?UTF-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
References: <CAOhKva1sUrv7iqUcEpuS8knUAPDrS5tGhqn5h0u8gn-R1CDUTw@HIDDEN>
 <CAOhKva2gNhs+fZy=ngb06bn51dTH8JvL4DLe-Ks5A+MPd71cpw@HIDDEN>
 <5a811d2835b3335afde69029ddb0eec30f41e7f4.camel@HIDDEN>
Date: Wed, 01 Sep 2021 16:03:10 +0200
In-Reply-To: <5a811d2835b3335afde69029ddb0eec30f41e7f4.camel@HIDDEN>
 (Maxime Devos's message of "Tue, 10 Aug 2021 17:30:40 +0200")
Message-ID: <87pmts75r5.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hi,

Maxime Devos <maximedevos@HIDDEN> skribis:

> Some time ago, I received a copy of the logs and Ludovic
> and I found out what causes comments to be swallowed:
> <https://issues.guix.gnu.org/49295>.  Ludovic has a suggestion
> on how to fix it.
>
> The source code is at
> <https://git.elephly.net/gitweb.cgi?p=3Dsoftware/mumi.git>,
> if anyone is interested in fixing it, or just disabling
> the comment interface.

Tobias disabled the comment interface a couple of weeks ago:

  https://git.savannah.gnu.org/cgit/guix/maintenance.git/commit/?id=3Df8dee=
be7e9b00db1971ff3d32c78eaef3acb6864

Ludo=E2=80=99.




Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 1 Sep 2021 16:44:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 01 12:44:50 2021
Received: from localhost ([127.0.0.1]:38941 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mLTM2-0008Lr-GR
	for submit <at> debbugs.gnu.org; Wed, 01 Sep 2021 12:44:50 -0400
Received: from eggs.gnu.org ([209.51.188.92]:53330)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1mLTM1-0008LZ-DK
 for control <at> debbugs.gnu.org; Wed, 01 Sep 2021 12:44:49 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:57190)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <ludo@HIDDEN>) id 1mLTLw-0007G6-1D
 for control <at> debbugs.gnu.org; Wed, 01 Sep 2021 12:44:44 -0400
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=48816 helo=ribbon)
 by fencepost.gnu.org with esmtpsa
 (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256) (Exim 4.90_1)
 (envelope-from <ludo@HIDDEN>) id 1mLTLv-0006Sb-PA
 for control <at> debbugs.gnu.org; Wed, 01 Sep 2021 12:44:43 -0400
Date: Wed, 01 Sep 2021 18:44:41 +0200
Message-Id: <87o89c6y9y.fsf@HIDDEN>
To: control <at> debbugs.gnu.org
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
Subject: control message for bug #49295
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: control
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

merge 49295 49968
quit






Last modified: Wed, 1 Sep 2021 17:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.